# $Revision: 1.23 $, $Date: 2005/03/28 10:55:21 $
Summary:	NASL libraries
Summary(pl):	Biblioteki NASL
Name:		libnasl
Version:	2.2.4
Release:	1
License:	GPL
Vendor:		Nessus Project
Group:		Networking
Source0:	ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	47de3e86725b5f54f5752233a4bc1ea8
Patch0:		%{name}-ac_fix.patch
Patch1:		%{name}-linkshared.patch
URL:		http://www.nessus.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	libtool
BuildRequires:	nessus-libs-devel >= %{version}
BuildRequires:	tetex-dvips
BuildRequires:	tetex-format-latex
Requires:	nessus-libs >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir		/var/lib

%description
NASL is a scripting language designed for the Nessus security scanner.
Its aim is to allow anyone to write a test for a given security hole
in a few minutes, to allow people to share their tests without having
to worry about their operating system, and to guarantee everyone that
a NASL script can not do anything nasty except performing a given
security test against a given target.

Thus, NASL allows you to easily forge IP packets, or to send regular
packets. It provides you some convenient functions that will make the
test of web and FTP server more easy to write. NASL garantees you that
a NASL script:
- will not send any packet to a host other than the target host,
- will not execute any commands on your local system.

%description -l pl
NASL to jzyk skryptowy stworzony dla skanera bezpieczestwa Nessus.
Celem jzyka jest umoliwienie kademu napisania testu dla danej
dziury w bezpieczestwie w kilka minut, umoliwienie ludziom na
dzielenie si testami niezalenie od systemu operacyjnego i
zagwarantowanie, e skrypt NASL nie zrobi niczego brzydkiego oprcz
wykonania testu bezpieczestwa na danym celu.

NASL pozwala na atwe podrabianie pakietw IP lub wysyanie normalnych
pakietw. Udostpnia troch wygodnych funkcji uatwiajcych pisanie
testw dla serwerw WWW i FTP. NASL gwarantuje, e taki skrypt:
- nie wyle adnego pakietu do hosta innego ni wskazany,
- nie wykona adnych polece na systemie lokalnym.

%package devel
Summary:	NASL libraries development files
Summary(pl):	Pliki dla programistw uywajcych NASL-a
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	nessus-libs-devel >= %{version}

%description devel
Header files for developing applications that use NASL.

%description devel -l pl
Pliki nagwkowe konieczne do rozwoju aplikacji uywajcych NASL-a.

%package static
Summary:	NASL static libraries
Summary(pl):	Biblioteki statyczne NASLa
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
NASL static libraries.

%description static -l pl
Biblioteki statyczne NASLa.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure

%{__make}

%{__make} nasl_guide.ps -C doc
#nasl2_reference.ps requires lyx

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/*.ps
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %{_bindir}/nasl
%{_mandir}/man1/nasl.1*
%{_var}/lib/nessus/nessus_org.pem

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nasl-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/nessus/nasl.h
%{_mandir}/man1/nasl-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnasl.spec,v $
Revision 1.23  2005/03/28 10:55:21  adamg
- updated to 2.2.4

Revision 1.22  2005/02/20 10:18:25  adamg
- updated to 2.2.3

Revision 1.21  2005/02/08 14:50:36  qboosh
- package nessus_org.pem

Revision 1.20  2005/02/08 12:47:22  qboosh
- updated to 2.2.2a

Revision 1.19  2004/10/29 08:17:37  paladine
- "FTP" unification

Revision 1.18  2004/10/17 21:02:31  qboosh
- updated to 2.0.12 (forgotten part of nessus update)

Revision 1.17  2004/09/01 11:49:23  snurf
- typos / formatting / etc.

Revision 1.16  2004/03/28 18:30:17  qboosh
- updated to 2.0.10a

Revision 1.15  2003/10/10 11:07:28  qboosh
- somebody forgot... up to 2.0.8
- needs nessus-libs 2.0.8 to build

Revision 1.14  2003/08/19 12:44:29  aniou
- upgrade to 2.0.7
- add init file to nessus daemon

Revision 1.13  2003/07/02 14:01:53  qboosh
- added linkshared patch, moved nasl interpreter to base, added docs
- -devel R: nessus-libs-devel

Revision 1.12  2003/06/02 07:08:10  misi3k
- missing in action update to 2.0.6a

Revision 1.11  2003/05/25 05:49:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/05/05 08:07:36  misi3k
- updated to 2.0.4

Revision 1.9  2003/04/03 20:57:10  djrzulf
- added BR: (from dzeus)

Revision 1.8  2003/04/03 11:12:22  misi3k
- updated to 2.0.3

Revision 1.7  2003/03/18 10:48:26  misiek
- updated to 2.0.1

Revision 1.6  2002/11/25 14:16:57  ankry
- massive attack: no need for 755 for *.la

Revision 1.5  2002/10/09 08:16:31  qboosh
- BR: automake

Revision 1.4  2002/10/06 20:51:34  qboosh
- pl description

Revision 1.3  2002/09/28 12:50:59  mmazur
- two BRs added

Revision 1.2  2002/09/27 19:13:08  mmazur
- finished except for pl desc (somebody please translate... I'm too lazy :)
